/************************************************************************/
/* dir_entry.c: The definitions for directory entries utilities.	*/
/*                                                                      */
/* Modification Log:                                                    */
/*                                                                      */
/* 91/05/21     Sze-Ying Wuu: Modifications made for xdi, Rel 1.0       */
/* 91/02/22     /f/osi/others/quipu/uips/pod/RCS/dir_entry.h            */
/*              Isode Interim (6.8)                                     */
/************************************************************************/

/* $Header: dir_entry.h,v 1.1 91/06/24 14:31:58 sywuu Exp $ */

/*
 *    Original source: ISODE Interim Release 6.8
 *    Changes/additions by: Sze-Ying Wuu, Bellcore, <sywuu@thumper.bellcore.com>
 *
 *               Changes and Additions Copyright (c) 1991 Bellcore
 *                            All Rights Reserved
 *
 *    Permission is granted to copy, modify and redistribute this program
 *    in source or binary form provided that it is not sold for
 *    profit, and all copyright notices, permission and nonwarranty notices 
 *    remain intact.
 *
 *    Bellcore makes no warranty and accepts no liability for this program.
 * 
 *
 *                             ISODE NOTICE
 *
 *    Acquisition, use, and distribution of this module and related
 *    materials are subject to the restrictions of a license agreement.
 *    Consult the Preface in the User's Manual for the full terms of
 *    this agreement.
 *
 */

#ifndef ENTRYSEQ
#define ENTRYSEQ

#include <strings.h>
#include <X11/Intrinsic.h>
#include "defs.h"

#ifdef QUIPU_MALLOC

#else
extern char * malloc ();
extern char * smalloc ();
#endif

/* data structures for modification values */
typedef struct mod_vals {
  char *value;
  char *new_value;
  Widget text_widg;
  bool mod_flag;
  struct dir_attrs *attr;
  struct mod_vals *next;
} mod_vals, *modVals;
  
/* data structures for entry attributes */
typedef struct dir_attrs {
  char *attr_name;
  modVals val_seq;
  bool mod_flag;
  bool in_flag;
  bool hidden_flag;
  struct dir_attrs *next;
} dir_attrs, *dirAttrs;

/* data structures for directory entries */
typedef struct dir_entry {
  char *entry_name;
  dirAttrs attrs;
  bool mod_flag;
} dir_entry, *dirEntry;

#define NULLDIRENTRY ((dirEntry) 0)

int free_dir_entry();
int free_ent_attrs();
int free_mod_vals();

#endif

